Summary: A mouse server for the Linux console.
Name: gpm
Version: 1.20.1
Release: 2tr
License: GPL
Group: Trustix Official
Source: ftp://arcana.linux.it/pub/gpm/%{name}-%{version}.tar.bz2
Source1: %{name}.init
Source2: %{name}.sysconfig
Patch1: gpm-1.20.1-docfix.patch
Patch2: gpm-1.20.1-secenhance.patch
Patch3: gpm-1.20.1-serialconsole.patch
Patch4: gpm-1.20.1-gpm-root.patch
Patch5: gpm-1.20.1-idie.patch
Patch6: gpm-1.20.1-math.patch
Patch7: gpm-1.20.1-nodebug.patch
Prereq: /sbin/chkconfig /sbin/ldconfig
Requires: pam ncurses htmlinfo
# this defines the library version that this package builds.
%define LIBVER 1.19.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: sed gawk texinfo bison ncurses-devel

%description
Gpm provides mouse support to text-based Linux applications like
the Midnight Commander file management system.  Gpm also provides
console cut-and-paste operations using the mouse.


%package devel
Requires: %{name} = %{version}
Summary: A mouse server for the Linux console.
Group: Trustix Official

%description devel
Include files and static libraries for gpm.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build

%configure
CFLAGS="$RPM_OPT_FLAGS" make
cd doc
make %{name}.texinfo
# and the texinfo file even is broken, utterly broken
makeinfo --force --html --no-split %{name}.texinfo || true


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall 

mkdir -p -m 755 $RPM_BUILD_ROOT%{_initdir}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/html/%{name}

install -o root -g root -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/%{name}
install -o root -g root -m 600 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install -m 644 doc/%{name}.html $RPM_BUILD_ROOT/usr/share/html/%{name}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/usr/sbin/htmlinfo_update.sh
chkconfig --add %{name}
if [ "$1" = "2" ]; then
    /sbin/restart_maybe gpm
fi


%preun
if [ $1 = 0 ]; then
    %{_initdir}/%{name} stop
    /sbin/chkconfig --del %{name}
fi


%postun
if [ "$1" -ge "1" ]; then
    /sbin/restart_maybe gpm >/dev/null 2>&1
fi
/sbin/ldconfig
/usr/sbin/htmlinfo_update.sh


%files
%defattr(-,root,root,0755)
%{_sbindir}/*
%{_bindir}/*
%{_datadir}/html/gpm/*
%{_mandir}/man1/*
%{_mandir}/man7/gpm-types*
%{_mandir}/man8/gpm*
%{_libdir}/libgpm.so.*
%{_initdir}/%{name}
%exclude %{_datadir}/info/gpm.info.gz
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files devel
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/libgpm.a
%{_libdir}/libgpm.so

%changelog
* Fri Aug 19 2005 Ajith Thampi <ajith at comodo dot com> 1.20.1-2tr
- Added nodebug/idie display fix
- clean up the gpm.init

* Mon Aug 15 2005 Ajith Thampi <ajith at comodo dot com> 1.20.1-1tr
- Initial Entry into TSL-3.0		
